Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	InetUtils is a collection of common network programs.
Name:      	inetutils
Version:   	1.4.2
Release:   	6
Epoch:		1
Provides:  	inetutils	
License: 	GNU/GPL
URL:		http://www.gnu.org/software/inetutils/inetutils.html
Group:     	Networking/Other
Source0: 	%{name}-%{version}.tar.gz
Patch0:		inetutils-1.4.2-gcc4_fixes-3.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:	glibc-devel
BuildRequires:  ncurses-devel
BuildRequires:	readline-devel
PreReq:		/sbin/install-info

%description
InetUtils is a collection of common network programs. It includes (amongst others): 
An ftp client and server. 
A telnet client and server. 
An rsh client and server. 
An rlogin client and server. 
A tftp client and server. 
These are improved versions of programs originally from BSD. 

%post
/sbin/install-info %{_infodir}/inetutils.info.gz %{_infodir}/dir
ldconfig

%postun
ldconfig

 
%preun 
if [ "$1" = 0 ]; then 
     /sbin/install-info --del %{_infodir}/inetutils.info.gz %{_infodir}/dir 
fi 

%prep
%setup -n %{name}-%{version}
%patch0 -p1

%build
./configure --prefix=%_prefix --libexecdir=%_sbindir --sysconfdir=%_sysconfdir \
    --localstatedir=%_localstatedir --mandir=%_mandir --infodir=%_infodir \
    --disable-logger --disable-syslogd --disable-whois --disable-servers
make 

%install
make install-strip DESTDIR=$RPM_BUILD_ROOT 
install -m 755 -d $RPM_BUILD_ROOT/bin
mv $RPM_BUILD_ROOT%_bindir/ping $RPM_BUILD_ROOT/bin

%files
%defattr(-,root,root)
%attr(4755,root,root) /bin/ping
%{_bindir}/*
%{_mandir}/*
%{_infodir}/*
%exclude %{_infodir}/dir
%exclude /usr/share/man/man1/logger.1.gz 

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 19 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:1.4.2-6
- Downgrade, inetutils 1.5 is badly broken
* Thu Oct 18 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5-1
- Version update
* Sun Jul 17 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-5
- Moved ping to proper FHS location
* Wed Jul 13 2005 Christian Metzen <metzench@ccux-linux.de> 1.4.2-4
- Added Prereq tag, tweaked specfile
* Sun Jul 03 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 1.4.2-3
- rebuilt spec 
* Wed Apr 14 2004 Christian Metzen <metzench@ccux-linux.de> 1.4.2-2
- Initial Release
